package com.zy.omp.controller.pc;

import com.zy.omp.common.Constant;
import com.zy.omp.common.ServerResponse;
import com.zy.omp.pojo.io.wechat.SetIO;
import com.zy.omp.service.SetBaseService;
import com.zy.omp.service.SetService;
import org.springframework.web.bind.annotation.*;

import javax.annotation.Resource;

/**
 * 设备设置相关
 *
 * @author yang xiao kun
 * create on 2021/3/3
 */
@RestController
@RequestMapping("omp/api/pc/set")
public class PcSetController {

    @Resource
    private SetBaseService setBaseService;
    @Resource
    private SetService setService;

    /**
     * 其他设置
     *
     * @param deviceId 设备ID
     */
    @GetMapping("baseSet.do")
    public ServerResponse getBaseSet(String deviceId) {
        return ServerResponse.createBySuccess(setBaseService.getByDeviceId(deviceId));
    }

    /**
     * 设置音量
     */
    @PostMapping("volume.do")
    public ServerResponse setVolume(SetIO io) {
        setService.set(Constant.M_CODE_VOLUME, io);
        return ServerResponse.createBySuccess();
    }

    /**
     * 设置定位频率
     */
    @PostMapping("gpsRate.do")
    public ServerResponse setGpsRate(SetIO io) {
        setService.set(Constant.M_CODE_GPS_RATE, io);
        return ServerResponse.createBySuccess();
    }

    /**
     * 自动接听
     *
     * @param io 设置参数
     */
    @PostMapping("autoAnswer.do")
    public ServerResponse setAutoAnswer(SetIO io) {
        setService.set(Constant.M_CODE_AUTO_ANSWER, io);
        return ServerResponse.createBySuccess();
    }

    /**
     * 设置语音播报
     */
    @PostMapping("news.do")
    public ServerResponse setNews(SetIO io) {
        setService.set(Constant.M_CODE_NEWS, io);
        return ServerResponse.createBySuccess();
    }

    /**
     * 设置SOS紧急呼叫
     */
    @PostMapping("sos.do")
    public ServerResponse setSOS(SetIO io) {
        setService.set(Constant.M_CODE_SOS, io);
        return ServerResponse.createBySuccess();
    }

    /**
     * 设置持续定位
     */
    @PostMapping("continue.do")
    public ServerResponse setContinue(SetIO io) {
        setService.set(Constant.M_CODE_CONTINUE_GPS, io);
        return ServerResponse.createBySuccess();
    }
}
