package com.zy.omp.controller.wx;

import com.zy.omp.common.Constant;
import com.zy.omp.common.ServerResponse;
import com.zy.omp.common.controller.BaseController;
import com.zy.omp.pojo.io.wechat.SetIO;
import com.zy.omp.service.DeviceDynamicService;
import com.zy.omp.service.SetService;
import org.springframework.web.bind.annotation.*;

import javax.annotation.Resource;

/**
 * 设备设置相关
 *
 * @author yang xiao kun
 * create on 2021/1/21
 */
@RestController
@RequestMapping("omp/api/wx/set")
public class SetController extends BaseController {

    @Resource
    private SetService setService;
    @Resource
    private DeviceDynamicService relationService;

    /**
     * 校验设备是否是该用户的设备
     */
    private boolean verify(SetIO io) {
        boolean flag = relationService.checkBelong(getUserId(), io.getDeviceId());
        if (!flag) {
            System.out.println("非法请求----" + getUserId() + "-----" + io.getDeviceId());
        }
        return flag;
    }

    /**
     * 设置音量
     */
    @PostMapping("volume.do")
    public ServerResponse setVolume(SetIO io) {
        if (verify(io)) setService.set(Constant.M_CODE_VOLUME, io);
        return ServerResponse.createBySuccess();
    }

    /**
     * 设置定位频率
     */
    @PostMapping("gpsRate.do")
    public ServerResponse gpsRate(SetIO io) {
        if (verify(io)) setService.set(Constant.M_CODE_GPS_RATE, io);
        return ServerResponse.createBySuccess();
    }

    /**
     * 自动接听
     *
     * @param io 设置参数
     */
    @PostMapping("autoAnswer.do")
    public ServerResponse setAutoAnswer(SetIO io) {
        if (verify(io)) setService.set(Constant.M_CODE_AUTO_ANSWER, io);
        return ServerResponse.createBySuccess();
    }

    /**
     * 设置语音播报
     */
    @PostMapping("news.do")
    public ServerResponse setNews(SetIO io) {
        if (verify(io)) setService.set(Constant.M_CODE_NEWS, io);
        return ServerResponse.createBySuccess();
    }

    /**
     * 设置SOS紧急呼叫
     */
    @PostMapping("sos.do")
    public ServerResponse setSOS(SetIO io) {
        if (verify(io)) setService.set(Constant.M_CODE_SOS, io);
        return ServerResponse.createBySuccess();
    }

    /**
     * 设置持续定位
     */
    @PostMapping("continue.do")
    public ServerResponse setContinue(SetIO io) {
        if (verify(io)) setService.set(Constant.M_CODE_CONTINUE_GPS, io);
        return ServerResponse.createBySuccess();
    }
}
