package com.zy.omp.model;

import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.ToString;

import java.time.LocalDateTime;

/**
 * 微信-用户表
 *
 * @author chen_yi
 * Create on 2020/7/31
 */
@Data
@ToString
@TableName("user")
@NoArgsConstructor
public class User {
    @TableId
    private Integer id;

    /**
     * 微信
     */
    private String openId;

    /**
     * 头像
     */
    private String avatar;

    /**
     * 昵称
     */
    private String nickname;

    /**
     * 性别
     */
    private Integer gender;

    /**
     * 国家
     */
    private String country;

    /**
     * 省份
     */
    private String province;

    /**
     * 城市
     */
    private String city;

    /**
     * 创建时间
     */
    private LocalDateTime createTime;


    public User(String openId) {
        this.openId = openId;
    }
}
