package com.zy.omp.service;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.conditions.update.UpdateWrapper;
import com.zy.omp.model.DeviceLp;
import com.zy.omp.mapper.DeviceLpMapper;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;

/**
 * <p>
 * 设备-路牌 服务实现类
 * </p>
 *
 * @author chenyi
 * @since 2021-06-12
 */
@Service
public class DeviceLpService extends ServiceImpl<DeviceLpMapper, DeviceLp> {
    @Resource
    private SetService setService;

    /**
     * 通过设备 num 获取设备信息
     *
     * @param num 设备号
     */
    public DeviceLp getByNum(String num) {
        QueryWrapper<DeviceLp> queryWrapper = new QueryWrapper<DeviceLp>().eq("num", num);
        return baseMapper.selectOne(queryWrapper);
    }

    /**
     * 更新设备信息
     */
    public void updateByNum(DeviceLp entity, String num) {
        UpdateWrapper<DeviceLp> updateWrapper = new UpdateWrapper<DeviceLp>().eq("num", num);
        baseMapper.update(entity, updateWrapper);
    }

    /**
     * 更新可设置参数
     */
    public void updateParam(DeviceLp entity) {
        setService.updateDevice_LP(entity.getNum(), entity.getWakeInt(), entity.getThresh());
        baseMapper.updateParam(entity);
    }
}
